# FingerJoint

```csharp
public class FingerJoint
```

### Constructors

| Name                                                                                                                                                                                                                                                                                                              | Description                                                                                                               |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------- |
| FingerJoint()                                                                                                                                                                                                                                                                                                     | Creates a new FingerJoint object.                                                                                         |
| FingerJoint([FingerJoint](/api-reference/fingerjoint.md))                                                                                                                                                                                                                                                         | Creates a new FingerJoint object by copying the data from the specified finger joint.                                     |
| FingerJoint([FingerJointType](/api-reference/fingerjointtype.md), [UnityEngine.Vector2](https://docs.unity3d.com/ScriptReference/Vector2.html), [UnityEngine.Vector3](https://docs.unity3d.com/ScriptReference/Vector3.html), [UnityEngine.Quaternion](https://docs.unity3d.com/ScriptReference/Quaternion.html)) | Creates a new FingerJoint object with the specified type, 2D position,3D position and 3D orientation of the finger joint. |

### Properties

| Name        | Type                                                                               | Description                                    |
| ----------- | ---------------------------------------------------------------------------------- | ---------------------------------------------- |
| Type        | [FingerJointType](/api-reference/fingerjointtype.md)                               | The type of the finger joint.                  |
| Position2D  | [UnityEngine.Vector2](https://docs.unity3d.com/ScriptReference/Vector2.html)       | The 2D position of the finger joint in pixels. |
| Position3D  | [UnityEngine.Vector3](https://docs.unity3d.com/ScriptReference/Vector3.html)       | The 3D position of the finger joint in meters. |
| Orientation | [UnityEngine.Quaternion](https://docs.unity3d.com/ScriptReference/Quaternion.html) | The 3D orientation of the joint.               |

### Methods

| Name                                            | Return Type | Description                                                                           |
| ----------------------------------------------- | ----------- | ------------------------------------------------------------------------------------- |
| ToString()                                      | string      | Converts the value of this instance to a string.                                      |
| Equals([Finger](/api-reference/fingerjoint.md)) | bool        | Determines whether the specified Finger object is equal to the current Finger object. |
| GetHashCode()                                   | int         | Returns a hash code for the current Finger object.                                    |

### Example

The example shows how to create a finger joint with the `FingerJoint` class.

#### Create a finger joint with the specified 2D position and 3D position

```csharp
FingerJoint indexTip = new FingerJoint
(
    FingerJointType.IndexTip,
    new Vector2(3, 3),
    new Vector3(0.3f, 0.3f, 0.3f),
    new Quaternion()
);
```

#### Create a finger joint with the specified finger joint

```csharp
FingerJoint indexTipNew = new FingerJoint(indexTip);
```

#### Create an empty finger joint

<pre class="language-csharp"><code class="lang-csharp"><strong>FingerJoint emptyJoint = new FingerJoint();
</strong></code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://handtracking.lightbuzz.com/api-reference/fingerjoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
